---
# Check the package page on how to configure this job
# https://github.com/sandrochuber/pylic
include:
  - remote: https://jobs.just-ci.dev/v6.22.0/python/generic.yml
  - remote: https://jobs.just-ci.dev/v6.22.0/python/install-extras.yml

python:pylic:
  extends: .python:install-extras
  variables:
    JOB_PACKAGE: pip-licenses
  script:
    # isolate installation to ignore licenses of pre-installed packages
    - python3 -m venv .venv
    - source .venv/bin/activate
    - !reference [".python:pre", script]
    - !reference [".python:install-extras", script]
    - pylic --version
    - pylic list
    - pylic check
